; =====================================================
; ===============  PILL CABINET TWEAK  ================
; =====================================================

; --- set pill cabs to have a max of 2 pills

;modify:
;{
;	match:
;	{
;		"model" "models/props_interiors/medicalcabinet02.mdl"
;	}
;	replace:
;	{
;		"HealthCount" "2"
;	}
;}

; =====================================================
; =========  PROMOD HUNTINGRIFLE REPLACEMENT  =========
; =====================================================

;filter:
;{
;	"classname" "weapon_hunting_rifle_spawn"
;}
;filter:
;{
;	"classname" "weapon_sniper_military_spawn"
;}
;filter:
;{
;	"weapon_selection" "any_sniper_rifle"
;}
;filter:
;{
;	"weapon_selection" "weapon_hunting_rifle"
;}
;filter:
;{
;	"weapon_selection" "weapon_sniper_military"
;}

; =====================================================
; ================  PROMOD ONSLAUGHT  =================
; =====================================================

modify:
{
	match:
	{
		; train engine relay
		"hammerid" "2029608"
	}
	delete:
	{
		"OnTrigger" "directorBeginScriptc12m3_onslaught0-1"
	}
	insert:
	{
		"OnTrigger" "directorBeginScriptc12m3_onslaught_promod0-1"
	}
}

; =====================================================
; ================  EXPLOITS BLOCKED  =================
; =====================================================

add:
; --- block hang-leg-up to sniper tower roof
{
	; invisible block above tower
	"origin" "-10438 -6325 542"
	"mins" "0 -358 0"
	"maxs" "358 0 180"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}
{
	; invisible block over small awning
	"origin" "-10337 -6310 490"
	"mins" "0 -15 0"
	"maxs" "68 0 230"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}
; --- block climbing rocks to get on housetops and off map
{
	; invisible block above climbable rocks
	"origin" "-6272 -2688 848"
	"mins" "-512 -160 -592"
	"maxs" "512 160 592"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}
{
	; invisible block along edge of hillside
	"origin" "-7440 -2784 768"
	"mins" "-304 -32 -672"
	"maxs" "304 32 672"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}

; --- block a high tickrate shortcut to skip part of the train choke
{
	"origin" "-12353 -6447 93"
	"mins" "-7 -199 -33"
	"maxs" "7 199 33"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}
{
	"origin" "-12353 -5996 93"
	"mins" "-7 -132 -33"
	"maxs" "7 132 33"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}
{
	"origin" "-12353 -5741 126"
	"mins" "-7 -5 -66"
	"maxs" "7 5 66"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}

; =====================================================
; ================= NON-RESTRICTIVE ===================
; =====================================================

add:
{
	"solid" "6"
	"disableshadows" "1"
	"origin" "-11160 -4470 -54"
	"angles" "1 -85 1"
	"model" "models/props/de_nuke/truck_nuke.mdl"
	"classname" "prop_dynamic"
}
{
	"solid" "6"
	"origin" "-11160 -4470 -54"
	"disableshadows" "1"
	"angles" "1 -85 1"
	"model" "models/props/de_nuke/truck_nuke_glass.mdl"
	"classname" "prop_dynamic"
}
{
	"solid" "6"
	"disableshadows" "1"
	"origin" "-5488 -900 -60"
	"angles" "0 10 0"
	"model" "models/props_vehicles/cara_82hatchback.mdl"
	"classname" "prop_dynamic"
	"rendercolor" "110 160 110"
}
{
	"solid" "6"
	"disableshadows" "1"
	"origin" "-5488 -900 -60"
	"angles" "0 10 0"
	"model" "models/props_vehicles/cara_82hatchback_glass.mdl"
	"classname" "prop_dynamic"
}
; =====================================================
